/*
Copyright (C) 2009 -  Claudio Salvadori 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

 /**
 *\file globals.h
 *\brief Globals functions & variables
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#ifdef ROOT_SYSTEM
#include "TApplication.h"
#include "TCanvas.h"
#include "TH1D.h"
#include <stdlib.h>
#include "Riostream.h"
#include "TROOT.h"
#include "TFile.h"
#include "TNetFile.h"
#include "TStyle.h"
#include "TRandom.h"
#include "TTree.h"
#include "TBranch.h"
#include "TClonesArray.h"
#include "TStopwatch.h"
#include "DAQEvent.h"
#endif

#include <vector>

#include "IRenderer.h"

extern TFile *rootfile_; 
 
extern void InitGui();
extern DAQEvent *event;
extern TTree* tree;

extern unsigned long entries_;
#endif
